Subject: Re: [RFC PATCH net-next v2 10/17] ethtool: implement GET_SETTINGS message

From: Andrew Lunn <[email-masked]>
Date: Mon, 30 Jul 2018 20:54:55 +0200

> +/* Internal kernel helper to query a device ethtool_link_settings.
> + *
> + * Backward compatibility note: for compatibility with legacy drivers
> + * that implement only the ethtool_cmd API, this has to work with both
> + * drivers implementing get_link_ksettings API and drivers
> + * implementing get_settings API. When drivers implement get_settings
> + * and report ethtool_cmd deprecated fields
> + * (transceiver/maxrxpkt/maxtxpkt), these fields are silently ignored
> + * because the resulting struct ethtool_link_settings does not report them.

~/linux/drivers$ grep -r [.]get_settings *
net/ethernet/8390/etherh.c:		 .get_settings	= etherh_get_settings,

I don't think it is worth adding support for .get_settings for just
one driver. It is better to just convert that driver to the new API.

    Andrew